ProxyAuthK8s Docs
ApiAuth_clusters

Callback from the cluster's OIDC provider

Last updated on

If the cluster is not found or disabled, return 404.

GET
/clusters/{ns}/{cluster}/auth/callback

Path Parameters

ns*string

Namespace containing the cluster.

cluster*string

Cluster name that should exist in the namespace.

Query Parameters

code*string

Authorization code from the OIDC provider.

state*string

State parameter to prevent CSRF.

Header Parameters

x-front-callback*|

If it's from the frontend, this header will be set.

x-kubectl-callback*|

If it's from kubectl plugin, this header will be set.

Response Body

application/json

curl -X GET "https://loading/clusters/string/string/auth/callback?code=string&state=string" \  -H "x-front-callback: string" \  -H "x-kubectl-callback: string"
{
  "access_token": "string",
  "cluster_url": "string",
  "id_token": "string",
  "refresh_token": "string",
  "subject": "string"
}
Empty
Empty

Have feedback?

Share on GitHub